%if 0%{?fedora} > 21 || 0%{?rhel} > 7
%global with_python3 1
%endif
%global pypiname neovim

Name:           python-neovim
Version:        0.1.11
Release:        1%{?dist}
Summary:        Python client to neovim

Group:          Development/Libraries
License:        ASL 2.0
URL:            https://github.com/neovim/python-client
Source0:        https://github.com/neovim/python-client/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?fedora} <= 23 || 0%{?rhel} <= 7
Requires:       python-greenlet
%else
Requires:       python2-greenlet
%endif
Requires:       python2-msgpack


%description
Implements support for python plugins in nvim


%if 0%{?with_python3}
%package -n python3-neovim
Summary: Python client to neovim

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-greenlet
Requires:       python3-msgpack

%description -n python3-neovim
Implements support for python plugins in nvim
%endif


%prep
%setup -q -T -b 0 -n python-client-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%{__python2} setup.py build


%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif

%{__python2} setup.py install -O1 --skip-build --root %{buildroot}


%check


%files
%defattr(-,root,root,-)
%doc README.md
%{python2_sitelib}/neovim
%{python2_sitelib}/%{pypiname}-%{version}-py2.?.egg-info

%if 0%{?with_python3}
%files -n python3-neovim
%defattr(-,root,root,-)
%doc README.md
%dir %{python3_sitelib}/neovim
%{python3_sitelib}/neovim/*
%{python3_sitelib}/%{pypiname}-%{version}-py3.?.egg-info
%endif


%changelog
* Mon Oct 24 2016 David Personette <dperson@gmail.com> - 0.1.10-1
- Upgrade to current version

* Sun Jul 17 2016 David Personette <dperson@gmail.com> - 0.1.9-3
- Fix module deps for python2 / python3 packages

* Mon Jul 04 2016 David Personette <dperson@gmail.com> - 0.1.9-2
- Fix module names on older versions

* Sun Jul 03 2016 David Personette <dperson@gmail.com> - 0.1.9-1
- Initial version